%define upstream_name Horde_Translation
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.0.1
Release:     	%mkrel 2
Summary:    	Horde translation library
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Requires:    	php-pear
Requires: 	php-pear-channel-horde
BuildArch:  	noarch

%description
Translation wrappers.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Translation.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Translation.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Translation
fi

%files
%doc docs/Horde_Translation/*
%{peardir}/*
%{xmldir}/Horde_Translation.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.0.1-2.mga4
+ Revision: 526728
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 spuhler <spuhler> 2.0.1-1.mga4
+ Revision: 438700
- added missing line mv %%{buildroot}/docs .
- upgrade to ver. 2.0.1
- update Requires per upstream
- rearranged file section

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-5.mga3
+ Revision: 376708
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 30 2011 spuhler <spuhler> 1.0.1-4.mga2
+ Revision: 189130
- added %%{version} to Provides: php-pear-Horde_Translation

* Fri Dec 30 2011 spuhler <spuhler> 1.0.1-3.mga2
+ Revision: 189095
- removed notneeded Requires/Conflicts:php-pear-Horde_Exception

* Fri Dec 30 2011 spuhler <spuhler> 1.0.1-2.mga2
+ Revision: 188938
- removed the version on provides

* Mon Nov 07 2011 spuhler <spuhler> 1.0.1-1.mga2
+ Revision: 164729
- upgrade to 1.0.1
-Provides:      	php-pear-Horde_Translation
  +Provides:      	php-pear-Horde_Translation = %%{version}
  changed in Requires: <= to <
- imported package php-pear-Horde_Translation

